Skip to main content
`Ctrl`+`K`

# DMStagGetEntriesLocal

get number of entries in the local representation

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagGetEntriesLocal(DM dm, PetscInt *entries)

Not Collective

## Input Parameter

- dm - the `DMSTAG` object

## Output Parameter

- entries - number of entries in the local representation

## Note

This is the number of entries on this rank in the local representation. That is, it is value of `size` returned by `VecGetSize(vec,&size)` or `VecGetLocalSize(vec,&size)` when `DMCreateLocalVector(dm,&vec)` is used to create a `Vec`. Users would typically use these functions.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagGetDOF()`, `DMStagGetEntries()`, `DMStagGetEntriesPerElement()`, `DMCreateLocalVector()`

## Level

developer

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages